Bug 704020 - libpanel_applet changed ABI; not all applets ported
libpanel_applet changed ABI; not all applets ported
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
RejectedNTH
:
: 703732 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-11 16:47 EDT by Bill Nottingham
Modified: 2014-03-16 23:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:27:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2011-05-11 16:47:05 EDT
Description of problem:

Hence, gnome-panel should obsolete obsolete applets.

(This is a placeholder bug for work that was done in https://admin.fedoraproject.org/updates/gnome-panel-3.0.0.1-4.fc15,gnome-python2-desktop-2.32.0-4.fc15,pygtk2-2.24.0-3.fc15)
Comment 1 Adam Williamson 2011-05-12 10:53:57 EDT
+1 NTH: cleans up issues with yum updates, which aren't supported but which it's nice to have working, and it's always better to not make anaconda do evil things to avoid issues like this.

Setting VERIFIED as the update is known to fix this.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Dennis Gilmore 2011-05-12 10:57:22 EDT
+1 nth
Comment 3 James Laska 2011-05-12 11:16:03 EDT
From a practical standpoint, this seems pretty straightforward as a NTH since it could inhibit yum-based upgrades from F14 (distro-sync).  My understanding is that the impact of the failure is related to upgrades and dependency conflicts?

If so, my thinking is that distro-sync uses the 'updates' repo, it may not be impacted by this issue.  Also, anaconda-based upgrades are immune (ignore really) from such dependency problems, and wouldn't be impacted by this change.  

So, my horribly confusing vote is ...

 * If distro-sync *does* automatically include the 'updates' repo, I'm -1 NTH.

 * If distro-sync does *not* automatically include the 'updates' repo, we would need this package in the 'stable' repo.  I'm +1 NTH.
Comment 4 Adam Williamson 2011-05-12 11:30:02 EDT
i'm pretty sure it would use the updates repo by default; it just uses whatever repos you have configured for N-1, on N. so I agree, good catch, doesn't need to be NTH, can go as a 0-day.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Adam Williamson 2011-05-12 14:44:47 EDT
*** Bug 703732 has been marked as a duplicate of this bug. ***
Comment 6 James Laska 2011-05-16 12:21:37 EDT
Discussed during 2011-05-16 Fedora QA blocker review meeting [1].  Rejected as a NTH for Fedora 15.  A day-0 post-release update is suitable to resolve this issue.  Such an update will not impede updates in any way.

[1] http://meetbot.fedoraproject.org/fedora-meeting/2011-05-16/fedora-qa.2011-05-16-15.00.html
Comment 7 Fedora End Of Life 2012-08-07 16:27:50 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.